<?php

namespace App\Mail;

use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WelcomeEmail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;

    // Constructor to initialize the user data
    public function __construct(User $user)
    {
        $this->user = $user;
    }

    // Build the message
    public function build()
    {
        return $this->subject('Welcome to Our Platform')
                    ->view('emails.welcome')  // Specify the view for the email
                    ->with([
                        'name' => $this->user->name,
                        'email' => $this->user->email,
                        'password' => $this->user->password,  // You may want to avoid sending plain password in emails
                    ]);
    }
}