<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Favicon -->
    <!-- Add Favicon -->
    <link rel="icon" href="https://astroraag.com/assets/images/favicon.png" type="image/x-icon">

    <!-- Optional: Add a larger favicon for high-resolution devices -->
    <link rel="apple-touch-icon" href="https://astroraag.com/assets/images/favicon.png">

    <title>
        AstroRaag
    </title>
    <!--     Fonts and icons     -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
    <!-- Nucleo Icons -->
    <link href="https://demos.creative-tim.com/argon-dashboard-pro/assets/css/nucleo-icons.css" rel="stylesheet" />
    <link href="https://demos.creative-tim.com/argon-dashboard-pro/assets/css/nucleo-svg.css" rel="stylesheet" />
    <!-- Font Awesome Icons -->
    <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script>
    <!-- CSS Files -->
    <link id="pagestyle" href="../assets/assets/css/argon-dashboard.css?v=2.1.0" rel="stylesheet" />

    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">

    <!-- Add some basic CSS for the modal -->
    <style>
        /* Modal is hidden by default */
        .modal {
            display: none;
            /* Initially hide the modal */
            position: fixed;
            /* Fixed position for the modal */
            bottom: 20px;
            /* Distance from the bottom */
            right: 20px;
            /* Distance from the right */
            max-width: 400px;
            /* Maximum width of the modal */
            width: 100%;
            /* Full width to adapt to smaller screens */
            z-index: 1050;
            border-radius: 8px;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            margin-top: auto;
            margin-left: auto;
            max-height: 600px;
        }

        .modal-header {
            background-color: #343a40;
            color: white;
        }

        .modal-header {
            position: sticky;
            background-color: #343a40;
            z-index: 1051;
            /* Make sure the header stays on top of the body */
        }

        .modal-header .user-image {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            margin-right: 10px;
        }

        .modal-header .user-info {
            display: flex;
            flex-direction: column;
        }

        .modal-header .user-info h5 {
            color: white;
        }

        .chat-message {
            margin-bottom: 15px;
        }

        .chat-message .message {
            padding: 10px;
            border-radius: 5px;
            max-width: 75%;
        }

        .chat-message.user-message .message {
            background-color: #d1f7ff;
            margin-left: auto;
        }

        .chat-message.astrologer-message .message {
            background-color: #fff4c7;
            margin-right: auto;
        }

        .modal-body {
            flex: 1;
            overflow-y: auto;
            max-height: 550px;
            overflow-x: hidden;
        }

        /* Make the modal responsive */
        @media (max-width: 576px) {

            /* On small screens (Mobile) */
            .modal {
                width: 90%;
                /* 90% of screen width on smaller devices */
                bottom: 10px;
                right: 10px;
            }
        }

        @media (max-width: 768px) {

            /* On medium screens (Tablets) */
            .modal {
                width: 80%;
                /* 80% of screen width on tablets */
                bottom: 20px;
                right: 20px;
            }
        }

        @media (min-width: 1024px) {

            /* On larger screens (Desktops) */
            .modal {
                width: 400px;
                /* Fixed width for larger screens */
                bottom: 20px;
                right: 20px;
            }
        }
    </style>
</head>

<body class="g-sidenav-show   bg-gray-100">
    <div class="min-height-300 bg-dark position-absolute w-100"></div>

    <aside
        class="sidenav bg-white navbar navbar-vertical navbar-expand-xs border-0 border-radius-xl my-3 fixed-start ms-4 "
        id="sidenav-main">
        <div class="sidenav-header">
            <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute end-0 top-0 d-none d-xl-none"
                aria-hidden="true" id="iconSidenav"></i>
            <a class="navbar-brand m-0" href="/dashboard" target="_blank">
                <img height="100px" width="250px" src="/assets/images/astroRaag.svg" class="navbar-brand-img h-100"
                    alt="main_logo">
                
            </a>
        </div>
        <hr class="horizontal dark mt-0">
        <div class="collapse navbar-collapse w-auto" id="sidenav-collapse-main">
            <!-- First UL (Top Navigation), assigned ID -->
            <ul class="navbar-nav" id="top-navbar">
                <li class="nav-item ">
                    <a class="nav-link" href="/astrologerdashboard">
                        <div
                            class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
                            <i class="ni ni-tv-2 text-dark text-sm opacity-10"></i>
                        </div>
                        <span class="nav-link-text ms-1">Dashboard</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="/astrologerdashboard/users">
                        <div
                            class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
                            <i class="ni ni-credit-card text-dark text-sm opacity-10"></i>
                        </div>
                        <span class="nav-link-text ms-1">Users</span>
                    </a>
                </li>
            </ul>

            <!-- Second UL (User info and Logout), assigned ID -->
            <ul class="navbar-nav" id="bottom-navbar">
                <?php if(auth()->guard()->check()): ?>
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <div
                                class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
                                <i class="ni ni-circle-08 text-dark text-sm opacity-10"></i>
                            </div>
                            <span class="nav-link-text ms-1 text-capitalize"><?php echo e(Auth::user()->name); ?></span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link logout_btn" href="<?php echo e(route('logout')); ?>"
                            onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                            <div
                                class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
                                <i class="ni ni-user-run text-dark text-sm opacity-10"></i>
                            </div>
                            <span class="nav-link-text ms-1">Logout</span>
                        </a>
                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                            <?php echo csrf_field(); ?>
                        </form>
                    </li>
                <?php endif; ?>
            </ul>
        </div>

    </aside>

    <main class="main-content position-relative border-radius-lg ">
        <!-- Navbar -->
        <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl " id="navbarBlur"
            data-scroll="false">
            <div class="container-fluid py-1 px-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb bg-transparent mb-0 pb-0 pt-1 px-0 me-sm-6 me-5">
                        <li class="breadcrumb-item text-sm"><a class="opacity-5 text-white"
                                href="javascript:;">Pages</a></li>
                        <li class="breadcrumb-item text-sm text-white active" aria-current="page">Users</li>
                    </ol>
                    <h6 class="font-weight-bolder text-white mb-0">Users</h6>
                </nav>
                <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
                    <div class="ms-md-auto pe-md-3 d-flex align-items-center">
                    </div>
                    <ul class="navbar-nav  justify-content-end">
                        <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
                            <a href="javascript:;" class="nav-link text-white p-0" id="iconNavbarSidenav">
                                <div class="sidenav-toggler-inner">
                                    <i class="sidenav-toggler-line bg-white"></i>
                                    <i class="sidenav-toggler-line bg-white"></i>
                                    <i class="sidenav-toggler-line bg-white"></i>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- End Navbar -->
        <div class="container-fluid py-4">
            <div class="row">
                <div class="col-12">
                    <div class="card mb-4">
                        <div class="card-header pb-0">
                            <h6>Users</h6>
                        </div>
                        <div class="card-body px-4 pt-0 pb-2">
                            <div class="row" id="users-container">
                                <div class="col-xl-4 col-sm-6 mb-4">
                                    <div class="card">
                                        <div class="card-body p-3">
                                            <div class="row">
                                                <div class="col-3 text-start">
                                                    <!-- User Profile Image in Circle -->
                                                    <div
                                                        class="icon icon-shape bg-gradient-success shadow-success text-center rounded-circle">
                                                        <img src="../assets/images/team/comment7.png" alt="User Image"
                                                            class="img-fluid rounded-circle">
                                                    </div>
                                                </div>
                                                <div class="col-9 text-start">
                                                    <div class="numbers">
                                                        <h5 class="font-weight-bold mb-0">Username:</h5>
                                                        <p class="font-weight-normal mb-1">John Doe</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12 text-start">
                                                <div class="numbers mb-2">
                                                    <h5 class="font-weight-bold d-inline">Number:</h5>
                                                    <p class="font-weight-normal d-inline ms-2">8510008639</p>
                                                </div>
                                                <div class="numbers">
                                                    <h5 class="font-weight-bold d-inline">Email:</h5>
                                                    <p class="font-weight-normal d-inline ms-2">johndoe@example.com</p>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-footer text-center">
                                            <div class="row">
                                                <!-- Button to View User Chats -->
                                                <div class="col-12">
                                                    <button
                                                        class="btn btn-primary text-white px-2 px-md-3 px-xl-4 py-2 rounded-lg"
                                                        data-bs-toggle="modal" data-bs-target="#chatModal">
                                                        <span>Chats</span> <i class="fa fa-comments"
                                                            aria-hidden="true"></i>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Static Modal for Chat with Selected User -->
        <div class="modal fade" id="chatModal" tabindex="-1" aria-labelledby="chatModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <!-- User Profile Image and Info -->
                        <img src="../assets/images/team/comment7.png" alt="User Image" class="user-image">
                        <div class="user-info">
                            <h5 class="modal-title" id="chatModalLabel">John Doe</h5>
                        </div>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" id="chatContent">
                        <!-- Static Chat Content -->
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> Hello Astrologer, I need some guidance on my future career path.
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Based on your chart, it looks like a great time for new
                                opportunities.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> That sounds promising. Should I explore a new job?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Yes, the stars indicate a shift in your career. It might be
                                a good time to consider new ventures.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> I’m a little hesitant. Is this change going to be beneficial for
                                me?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> The planets suggest that this transition will open new
                                doors and bring financial stability.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> That sounds great! What about my current job? Should I quit?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> It’s important to leave on good terms. Make sure to have a
                                backup plan in place.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> I’ve been thinking about starting my own business. Any advice on
                                that?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Starting a business is a great idea, but make sure you
                                research thoroughly and have a clear plan.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> I’m also curious about my love life. Should I focus on
                                relationships right now?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> The stars indicate that your love life will be more stable
                                in the coming months. Focus on personal growth first.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> That’s reassuring! Any specific advice on my personal growth?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Spend time reflecting on your goals and values. The more
                                you understand yourself, the better your decisions will be.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> I’ve also been thinking about moving to a new city. Is that a
                                good idea?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Relocation is a great idea if it aligns with your goals.
                                The chart indicates growth potential in new environments.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> Should I move sooner rather than later?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> Timing is key. I suggest waiting for a few months before
                                making any big moves. Align your timing with favorable cycles.
                            </div>
                        </div>
                        <div class="chat-message user-message">
                            <div class="message">
                                <strong>John:</strong> Thanks, that’s helpful! What’s the best career field for me based
                                on my chart?
                            </div>
                        </div>
                        <div class="chat-message astrologer-message">
                            <div class="message">
                                <strong>Astrologer:</strong> The stars suggest fields that require leadership,
                                creativity, and strategy. Consider management or entrepreneurship.
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>


    </main>
    </div>
    <!--   Core JS Files   -->
    <script src="../assets/assets/js/core/popper.min.js"></script>
    <script src="../assets/assets/js/core/bootstrap.min.js"></script>
    <script src="../assets/assets/js/plugins/perfect-scrollbar.min.js"></script>
    <script src="../assets/assets/js/plugins/smooth-scrollbar.min.js"></script>
    <script>
        var win = navigator.platform.indexOf('Win') > -1;
        if (win && document.querySelector('#sidenav-scrollbar')) {
            var options = {
                damping: '0.5'
            }
            Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
        }
    </script>
    <!-- Github buttons -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>
    <!-- Control Center for Soft Dashboard: parallax effects, scripts for the example pages etc -->
    <script src="../assets/assets/js/argon-dashboard.min.js?v=2.1.0"></script>

    <script>
        // Function to show the modal
        function showModal() {
            var modal = document.getElementById('chatModal');
            modal.style.display = 'block'; // Show modal
        }

        // Function to hide the modal
        function hideModal() {
            var modal = document.getElementById('chatModal');
            modal.style.display = 'none'; // Hide modal
        }

        // Optional: Close modal when clicking outside the modal content
        window.onclick = function (event) {
            var modal = document.getElementById('chatModal');
            if (event.target === modal) {
                hideModal();
            }
        };
    </script>

</body>

</html><?php /**PATH C:\Users\navee\Desktop\lunaarstar\resources\views/dashboard/users.blade.php ENDPATH**/ ?>