<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Lunaarstar Dashboard</title>
    <!--favicon-->
    <link rel="icon" href="https://astroraag.com/favicon.ico" type="image/x-icon">
    <!--plugins-->
    <link href="assets/dashboard/assets/plugins/simplebar/css/simplebar.css" rel="stylesheet" />
    <!--Data Tables -->
    <!-- <link href="assets/dashboard/assets/plugins/datatable/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css"> -->
    <link href="assets/dashboard/assets/plugins/datatable/css/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css">
    <!--plugins-->
    <link href="assets/dashboard/assets/plugins/simplebar/css/simplebar.css" rel="stylesheet" />
    <link href="assets/dashboard/assets/plugins/perfect-scrollbar/css/perfect-scrollbar.css" rel="stylesheet" />
    <link href="assets/dashboard/assets/plugins/metismenu/css/metisMenu.min.css" rel="stylesheet" />
    <!-- loader-->
    <link href="assets/dashboard/assets/css/pace.min.css" rel="stylesheet" />
    <script src="assets/dashboard/assets/js/pace.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/dashboard/assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600&family=Roboto&display=swap" />
    <!-- Icons CSS -->
    <link rel="stylesheet" href="assets/dashboard/assets/css/icons.css" />
    <!-- App CSS -->
    <link rel="stylesheet" href="assets/dashboard/assets/css/app.css" />


</head>

<body class="bg-theme bg-theme1">
    <!-- wrapper -->
    <div class="wrapper">
        <!--sidebar-wrapper-->
        <div class="sidebar-wrapper" data-simplebar="true">
            <div class="sidebar-header">
                <div class="">
                    <img src="/favicon.ico" class="logo-icon-2" alt="" />
                </div>
                <div>
                    <h4 class="logo-text">LunaarStar</h4>
                </div>
                <a href="javascript:;" class="toggle-btn ml-auto"> <i class="bx bx-menu"></i>
				</a>
            </div>
            <!--navigation-->
            <ul class="metismenu" id="menu">
                <li>
                    <a href="javascript:;" class="has-arrow">
                        <div class="parent-icon"><i class="bx bx-home-alt"></i>
                        </div>
                        <div class="menu-title">Dashboard</div>
                    </a>
                    <ul>
                        <li> <a href="/dashboard/appointments"><i class="bx bx-right-arrow-alt"></i>Appointments</a>
                        </li>
                    </ul>
                </li>
            </ul>
            <!--end navigation-->
        </div>
        <!--end sidebar-wrapper-->
        <!--header-->
        <header class="top-header">
            <nav class="navbar navbar-expand">
                <div class="left-topbar d-flex align-items-center">
                    <a href="javascript:;" class="toggle-btn">	<i class="bx bx-menu"></i>
					</a>
                </div>
                <div class="right-topbar ml-auto">
                    <ul class="navbar-nav">
                    <?php if(auth()->guard()->check()): ?>
                        <li class="nav-item dropdown dropdown-user-profile">
                            <a class="nav-link dropdown-toggle dropdown-toggle-nocaret" href="javascript:;" data-toggle="dropdown">
                                <div class="media user-box align-items-center">
                                    <div class="media-body user-info">
                                        <p class="user-name mb-0"><?php echo e(Auth::user()->name); ?></p>
                                    </div>
                                </div>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right">
                                <div class="dropdown-divider mb-0"></div> <a class="dropdown-item"  href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i
										class="bx bx-power-off"></i><span>Logout</span></a>
                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                                        style="display: none;">
                                                        <?php echo csrf_field(); ?>
                                                    </form>
                            </div>
                        </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </nav>
        </header>
        <!--end header-->
        <!--page-wrapper-->
        <div class="page-wrapper">
            <!--page-content-wrapper-->
            <div class="page-content-wrapper">
                <div class="page-content">
                    <!--breadcrumb-->
                    <div class="page-breadcrumb d-none d-md-flex align-items-center mb-3">
                        <div class="breadcrumb-title pr-3"></div>
                        <div class="pl-3">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb mb-0 p-0">
                                    <li class="breadcrumb-item"><a href="/dashboard"><i class='bx bx-home-alt'></i></a>
                                    </li>
                                    <li class="breadcrumb-item active" aria-current="page">Payments</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                    <!--end breadcrumb-->
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <h4 class="mb-0">Payments</h4>
                            </div>
                            <hr/>
                            <div class="table-responsive">
                                <table id="example" class="table table-striped table-bordered" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Payment ID</th>
                                            <th>Appointment ID</th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Mobile Number</th>
                                            <th>Amount</th>
                                            <th>Service</th>
                                            <th>Appointment Date</th>
                                            <th>Appointment Time</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    
                  <tbody id="payments-body">
                    <!-- Table content will be populated dynamically here -->
                  </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
        </div>
        <!--end page-wrapper-->
        <!--start overlay-->
        <div class="overlay toggle-btn-mobile"></div>
        <!--end overlay-->
        <!--Start Back To Top Button--><a href="javaScript:;" class="back-to-top"><i class='bx bxs-up-arrow-alt'></i></a>
        <!--End Back To Top Button-->
        <!--footer -->
        <div class="footer" style="display: none;">
            <p class="mb-0">Nikhil @2025 | Developed By : <a href="javascript:;" target="_blank">Nikhil Bhati</a>
            </p>
        </div>
        <!-- end footer -->
    </div>
    <!-- end wrapper -->
    <!-- JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="assets/dashboard/assets/js/popper.min.js"></script>
    <script src="assets/dashboard/assets/js/bootstrap.min.js"></script>
    <!--plugins-->
    <script src="assets/dashboard/assets/plugins/simplebar/js/simplebar.min.js"></script>
    <script src="assets/dashboard/assets/plugins/metismenu/js/metisMenu.min.js"></script>
    <script src="assets/dashboard/assets/plugins/perfect-scrollbar/js/perfect-scrollbar.js"></script>
    <!--Data Tables js-->
    <!-- <script src="assets/dashboard/assets/plugins/datatable/js/jquery.dataTables.min.js"></script> -->
    <!-- App JS -->
    <script src="assets/dashboard/assets/js/app.js"></script>

<script>

    const apiUrl = '/api/showAllPayments'; // Replace with your actual API URL

    async function fetchPayments() {
        try {
            const response = await fetch(apiUrl);
            const data = await response.json();

            if (data.success && data.payments) {
                populateTable(data.payments);
            } else {
                console.error("Error: No payments data found.");
            }
        } catch (error) {
            console.error("Error fetching payments:", error);
        }
    }

    function populateTable(payments) {
        const tableBody = document.getElementById('payments-body');
        tableBody.innerHTML = '';  // Clear existing table data

        if (payments.length === 0) {
            tableBody.innerHTML = `
                <tr>
                    <td colspan="11" class="text-center py-4 text-gray-500">
                            No payments data found.
                    </td>
                </tr>
            `;
        } else {
            payments.forEach((payment, index) => {
                const row = document.createElement('tr');
                const formattedTime = convertTo12HourFormat(payment.selected_time);
                row.innerHTML = `
                    <td>${index + 1}</td>
                    <td>${payment.payment_id}</td>
                    <td>${payment.appointment_id}</td>
                    <td>${payment.name}</td>
                    <td>${payment.email}</td>
                    <td>${payment.mobile_number}</td>
                    <td>${payment.amount} ${payment.currency}</td>
                    <td>${payment.service_name}</td>
                    <td>${payment.selected_date}</td>
                    <td>${formattedTime}</td>
                    <td class="align-middle text-center text-success">${payment.payment_status}</td>
                `;
                tableBody.appendChild(row);
            });
        }

        // Reinitialize DataTable after populating the table
        $('#example').DataTable();
    }

    function convertTo12HourFormat(timeStr) {
        const [hours, minutes] = timeStr.split(':');
        let hour = parseInt(hours, 10);
        const ampm = hour >= 12 ? 'PM' : 'AM';
        hour = hour % 12;
        hour = hour ? hour : 12;
        const formattedTime = `${hour}:${minutes} ${ampm}`;
        return formattedTime;
    }

    window.onload = fetchPayments;
</script>

</body>

</html><?php /**PATH C:\Users\navee\Desktop\lunaarstar\resources\views/dashboard/dashboard.blade.php ENDPATH**/ ?>