<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Appointment Confirmation</title>
  <!-- Bootstrap CSS -->
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
  <style>
    body {
      background-color: #f4f7fc;
      font-family: 'Arial', sans-serif;
    }
    .confirmation-card {
      max-width: 600px;
      margin: 50px auto;
      padding: 40px;
      background-color: #ffffff;
      border-radius: 12px;
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
    }
    .confirmation-header {
      font-size: 28px;
      font-weight: 600;
      color: #4CAF50;
      margin-bottom: 30px;
      text-align: center;
    }
    .confirmation-details {
      font-size: 18px;
      margin-bottom: 20px;
      text-align: left;
    }
    .confirmation-details p {
      margin: 8px 0;
      color: #555;
    }
    .confirmation-footer {
      margin-top: 30px;
      text-align: center;
    }
    .confirmation-footer p {
      color: #888;
      font-size: 16px;
    }
    .divider {
      margin: 20px 0;
      border-top: 1px solid #ddd;
    }
    .confirmation-footer p:last-child {
      margin-top: 15px;
      color: #333;
      font-weight: 500;
    }
  </style>
</head>
<body>
  <div class="container">
    <div class="confirmation-card">
      <div class="confirmation-header">
        Appointment Confirmed!
      </div>
      <div class="confirmation-details">
        <p><strong>Name:</strong> <?php echo e($data['name']); ?></p>
        <p><strong>Email:</strong> <?php echo e($data['email']); ?></p>
        <p><strong>Mobile No:</strong> <?php echo e($data['mobile_number']); ?></p>
        <p><strong>Gender:</strong> <?php echo e($data['gender']); ?></p>
        <p><strong>Date of Birth:</strong> <?php echo e($data['birth_date']); ?></p>
        <p><strong>Time of Birth:</strong> <?php echo e($data['birth_time']); ?></p>
        <p><strong>Place of Birth:</strong> <?php echo e($data['birth_place']); ?></p>
        <p><strong>Major Event:</strong> <?php echo e($data['major_events']); ?></p>
        <p><strong>Duration:</strong> <?php echo e($data['duration']); ?> minutes</p>
        <p><strong>Service:</strong> <?php echo e($data['service']); ?></p>
      </div>
      <div class="divider"></div>
      <div class="confirmation-footer">
        <p>We look forward to seeing you soon. Please be on time!</p>
        <p>For any changes, please contact us directly.</p>
      </div>
    </div>
  </div>

  <!-- Bootstrap JS & jQuery -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
<?php /**PATH C:\Users\navee\Desktop\lunaarstar\resources\views/successappointment.blade.php ENDPATH**/ ?>